package com.recovery.admin.boot.controller;


import com.recovery.admin.boot.service.ISysUserService;
import com.recovery.common.base.dto.UserAuthDTO;
import com.recovery.common.base.result.ApiResult;
import com.recovery.common.base.util.HspHostUtil;
import com.recovery.common.base.util.RedisUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/api/v1/test")
@Slf4j
public class testController {

    @Resource
    ISysUserService iSysUserService;
    @Resource
    RedisUtil redisUtil;

    /**
     * cs
     */
    @GetMapping("/cs")
    public ApiResult<UserAuthDTO> cs(@RequestParam String name, HttpServletRequest request) {
        UserAuthDTO authDTO = iSysUserService.getByUsername(name);
        log.info("测试库："+authDTO.getStatus());
        log.info(redisUtil.get("123").toString());
        return ApiResult.ok(authDTO);
    }
}
