package com.recovery.admin.boot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.recovery.admin.boot.entity.MemberUser;
import com.recovery.admin.boot.mapper.MemberUserMapper;
import com.recovery.admin.boot.service.IMemberUserService;

import com.recovery.common.base.dto.MemberUserAuthDTO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * @author： 
 */
@Service
@RequiredArgsConstructor
public class MemberUserServiceImpl extends ServiceImpl<MemberUserMapper, MemberUser> implements IMemberUserService {
    @Override
    public MemberUserAuthDTO getByUsername(String username) {
        MemberUserAuthDTO memberUserAuthDTO = this.baseMapper.getByUsername(username);
        return memberUserAuthDTO;
    }

}
